package dev.shadowsoffire.apotheosis.adventure;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import dev.shadowsoffire.apotheosis.adventure.Adventure;
import dev.shadowsoffire.apotheosis.adventure.affix.augmenting.AugmentingMenu;
import dev.shadowsoffire.apotheosis.adventure.affix.reforging.ReforgingMenu;
import dev.shadowsoffire.apotheosis.adventure.affix.salvaging.SalvagingMenu;
import dev.shadowsoffire.apotheosis.adventure.socket.gem.cutting.GemCuttingMenu;
import dev.shadowsoffire.placebo.menu.MenuUtil;
import net.minecraft.world.inventory.MenuType;
import net.minecraftforge.registries.RegistryObject;

public class Menus {
  public static final RegistryObject<MenuType<ReforgingMenu>> REFORGING = Adventure.R.menu("reforging", () -> MenuUtil.posType(ReforgingMenu::new));
  
  public static final RegistryObject<MenuType<SalvagingMenu>> SALVAGE = Adventure.R.menu("salvage", () -> MenuUtil.posType(SalvagingMenu::new));
  
  public static final RegistryObject<MenuType<GemCuttingMenu>> GEM_CUTTING = Adventure.R.menu("gem_cutting", () -> MenuUtil.type(GemCuttingMenu::new));
  
  public static final RegistryObject<MenuType<AugmentingMenu>> AUGMENTING = Adventure.R.menu("augmenting", () -> MenuUtil.posType(AugmentingMenu::new));
  
  private static void bootstrap() {}
}
